%define	fontsdir	%{_datadir}/fonts/ja/TrueType

Summary:		IPA 5 faces fonts
Summary(ja_JP.utf8):	IPA TrueTypeフォント 5書体

Name:		ipa-fonts
Version:	00103
Release:	b2
License:	Distributable
Group:		User Interface/X
URL:		http://ossipedia.ipa.go.jp/ipafont/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{PACKAGE_VERSION}-root
Source:		%{name}-%{version}.tar.bz2
Provides:	ttfonts-ja = 1.2-37
Obsoletes:	ttfonts-ja < 1.2-37

#IPAUIGothic: Propotional gothic font for graphical user interface
%description
This package includes IPA TrueType fonts.
IPAMincho:   Monospace mincho font
IPAPMincho:  Propotional mincho font
IPAGothic:   Monospace gothic font
IPAPGothic:  Propotional gothic font
MotoyaLMaru W3 mono: Round Gothic-typeface font was contributed by MOTOYA Co,LTD

%prep
%setup -q

%build
%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{fontsdir}
install -m 0644 *.ttf $RPM_BUILD_ROOT%{fontsdir}

install -m 0444 *.txt $RPM_BUILD_ROOT%{fontsdir}
install -m 0444 ipa-fonts.fonts.dir $RPM_BUILD_ROOT%{fontsdir}/template-fontsdir.ipa

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
tmpfile=`mktemp %{fontsdir}/%{name}-%{version}.XXXXXXXXXX`
cat %{fontsdir}/template-fontsdir.* | grep -v '^$' | sort | uniq > ${tmpfile}
cat ${tmpfile} | wc -l | sed -e 's/ //g' > %{fontsdir}/fonts.dir
cat ${tmpfile} >> %{fontsdir}/fonts.dir
rm -f ${tmpfile}
if [ -x %{_bindir}/changefont ] ; then %{_bindir}/changefont ; fi
if [ -x %{_bindir}/fc-cache ] ; then %{_bindir}/fc-cache --system-only ; fi

%postun
if [ -d %{fontsdir} ] && ls %{fontsdir}/template-fontsdir.* > /dev/null 2>&1
then
  tmpfile=`mktemp %{fontsdir}/%{name}-%{version}.XXXXXXXXXX`
  cat %{fontsdir}/template-fontsdir.* | grep -v '^$' | sort | uniq > ${tmpfile}
  cat ${tmpfile} | wc -l | sed -e 's/ //g' > %{fontsdir}/fonts.dir
  cat ${tmpfile} >> %{fontsdir}/fonts.dir
  rm -f ${tmpfile}
fi
if [ -x %{_bindir}/changefont ] ; then %{_bindir}/changefont ; fi
if [ -x %{_bindir}/fc-cache ] ; then %{_bindir}/fc-cache --system-only ; fi

%files
%defattr(0644,root,root,0755)
%doc %{fontsdir}/enduser_license.txt
%{fontsdir}/*.ttf
%{fontsdir}/template-fontsdir.ipa


## change log
%changelog
* Fri Dec 24 2010 Yuichiro Nakada <berry@rberry.co.cc> - 00103-b2
- Added MTLmr3m and removed ipagui.ttf
* Sat Oct 25 2008 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 00103
* Tue Jan 8 2008 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
